## Index

### Object literals

- ElseIfRule
- ElseRule
- EndIfRule
- IfRule

## Object literals

### ElseIfRule

ElseIfRule: object

- Defined in rules/conditionals.ts:24

### name

name: string = "elseif"

- Defined in rules/conditionals.ts:25

### analyze

- analyze(ctx: Context, t: Token): Fragment

- - Defined in rules/conditionals.ts:27

  #### Parameters

  - ##### ctx: Context

  - ##### t: Token

  #### Returns Fragment

### ElseRule

ElseRule: object

- Defined in rules/conditionals.ts:15

### name

name: string = "else"

- Defined in rules/conditionals.ts:16

### analyze

- analyze(ctx: Context, t: Token): Fragment

- - Defined in rules/conditionals.ts:18

  #### Parameters

  - ##### ctx: Context

  - ##### t: Token

  #### Returns Fragment

### EndIfRule

EndIfRule: object

- Defined in rules/conditionals.ts:33

### name

name: string = "endif"

- Defined in rules/conditionals.ts:34

### analyze

- analyze(ctx: Context, t: Token): Fragment

- - Defined in rules/conditionals.ts:36

  #### Parameters

  - ##### ctx: Context

  - ##### t: Token

  #### Returns Fragment

### IfRule

IfRule: object

- Defined in rules/conditionals.ts:6

### name

name: string = "if"

- Defined in rules/conditionals.ts:7

### analyze

- analyze(ctx: Context, t: Token): Fragment

- - Defined in rules/conditionals.ts:9

  #### Parameters

  - ##### ctx: Context

  - ##### t: Token

  #### Returns Fragment

Generated using TypeDoc